Bug 38876 - OpenLDAP Update
OpenLDAP Update
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: LDAP
UCS 4.1
Other Linux
: P5 enhancement (vote)
: UCS 4.1
Assigned To: Felix Botner
Stefan Gohmann
http://www.openldap.org/software/rele...
: interim-2
Depends on:
Blocks: 41558
  Show dependency treegraph
 
Reported: 2015-07-10 07:49 CEST by Stefan Gohmann
Modified: 2016-06-14 13:37 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Release Goal
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2015-07-10 07:49:59 CEST
OpenLDAP should be updated to the latest upstream version.
Comment 1 Felix Botner univentionstaff 2015-08-21 14:57:40 CEST
import 2.4.41+dfsg-1 from debian sid

patch changes:
 * removed 96-CVE-2015-1545.patch and 96-CVE-2015-1546.patch
   -> fixed in upstream
 * merged 22_nis_schema_macAddress.patch and 22_nis_schema_memberUid.patch
   to 21_nis_schema.patch
 * heimdal-multidev support in 12_k5pwd.patch 15_pwd_scheme_kinit.patch
 * converted patches to quilt style
 * removed all *DISBALED patches

built in 4.1
Comment 2 Felix Botner univentionstaff 2015-09-07 09:41:33 CEST
imported 2.4.42+dfsg-1 and built in 4.1-0
Comment 3 Arvid Requate univentionstaff 2015-09-15 12:19:40 CEST
We should import 2.4.42+dfsg-2, which fixes this issue:

https://security-tracker.debian.org/tracker/CVE-2015-6908
Comment 4 Felix Botner univentionstaff 2015-09-16 16:25:04 CEST
imported 2.4.42+dfsg-2 and built in 4.1-0

patches changed (debian/control has been restructured)
* 70_ppolicy_udm_lock.patch
* 60_ssl.patch
* 55_db5.1.patch
* 95-fix-ftbfs.patch
(svn diff -r r15282:r1528)
Comment 5 Stefan Gohmann univentionstaff 2015-10-26 06:51:24 CET
Installation: OK

Upgrade: OK

Changelog: OK

Code review patches: OK
Comment 6 Stefan Gohmann univentionstaff 2015-11-17 12:12:27 CET
UCS 4.1 has been released:
 https://docs.software-univention.de/release-notes-4.1-0-en.html
 https://docs.software-univention.de/release-notes-4.1-0-de.html

If this error occurs again, please use "Clone This Bug".